JSONException (Grails 3.2.7)
Date: 2017-03-06

Package: org.grails.web.json

## [Java] Class JSONException

- org.grails.web.json.JSONException

- The JSONException is thrown by the JSON.org classes then things are amiss.

  Authors:
    JSON.org
  Version:
    2

- - ### Constructor Summary

    Constructors
    Constructor and description
    `JSONException (java.lang.String message)` Constructs a JSONException with an explanatory message.
    `JSONException (java.lang.Throwable t)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.Throwable` | `getCause()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.RuntimeException` | `java.lang.RuntimeException#printStackTrace(), java.lang.RuntimeException#printStackTrace(java.io.PrintWriter), java.lang.RuntimeException#printStackTrace(java.io.PrintStream), java.lang.RuntimeException#fillInStackTrace(), java.lang.RuntimeException#getCause(), java.lang.RuntimeException#initCause(java.lang.Throwable), java.lang.RuntimeException#toString(), java.lang.RuntimeException#getMessage(), java.lang.RuntimeException#getLocalizedMessage(), java.lang.RuntimeException#getStackTrace(), java.lang.RuntimeException#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.RuntimeException#addSuppressed(java.lang.Throwable), java.lang.RuntimeException#getSuppressed(), java.lang.RuntimeException#wait(long, int), java.lang.RuntimeException#wait(long), java.lang.RuntimeException#wait(), java.lang.RuntimeException#equals(java.lang.Object), java.lang.RuntimeException#hashCode(), java.lang.RuntimeException#getClass(), java.lang.RuntimeException#notify(), java.lang.RuntimeException#notifyAll()`
    `class java.lang.Exception` | `java.lang.Exception#printStackTrace(), java.lang.Exception#printStackTrace(java.io.PrintWriter), java.lang.Exception#printStackTrace(java.io.PrintStream), java.lang.Exception#fillInStackTrace(), java.lang.Exception#getCause(), java.lang.Exception#initCause(java.lang.Throwable), java.lang.Exception#toString(), java.lang.Exception#getMessage(), java.lang.Exception#getLocalizedMessage(), java.lang.Exception#getStackTrace(), java.lang.Exception#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.Exception#addSuppressed(java.lang.Throwable), java.lang.Exception#getSuppressed(), java.lang.Exception#wait(long, int), java.lang.Exception#wait(long), java.lang.Exception#wait(), java.lang.Exception#equals(java.lang.Object), java.lang.Exception#hashCode(), java.lang.Exception#getClass(), java.lang.Exception#notify(), java.lang.Exception#notifyAll()`

- - ### Constructor Detail

    - #### public JSONException(java.lang.String message)

      Constructs a JSONException with an explanatory message.

      Parameters:
        `message` - Detail about the reason for the exception.

    - #### public JSONException(java.lang.Throwable t)

  - ### Method Detail

    - #### @java.lang.Override public java.lang.Throwable getCause()